git_tree-class {git2r} | R Documentation

## S4 class to handle a git tree

### Description

Class `"git_tree"`

### Slots

sha

  The 40 character hexadecimal string of the SHA-1

filemode

  The UNIX file attributes of a tree entry

type

  String representation of the tree entry type

id

  The sha id of a tree entry

name

  The filename of a tree entry

repo

  The S4 class git_repository that contains the commit

[Package git2r version 0.20.0 Index]